/*
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
*/
/* 
    Created on : 30.05.2014, 12:38:34
    Author     : Sergey Mironov
*/

/* Widget search */
#w_search-menu-wrapper {
    left: 0;
    position: absolute;
    top: 59px;
    width: 46px;
    z-index: 1001;
}

.w_search-menu {
    background-image: url("../img/w_search_menu.png");
    background-repeat: no-repeat;
    background-color: #072e4c;
    cursor: pointer;
    height: 75px;
    margin-bottom: 1px;
    width: 46px;
}

.w_search-menu:last-child {
    margin-bottom: 0;
}

#w_search-hotel {
    background-position: 0 0;
}

#w_search-car {
    background-position: 0 -76px;
}

#w_search-train {
    background-position: 0 -152px;
}

#w_search-plane {
    background-position: 0 -228px;
}

.w_search-block {
    display: none;
    height: 196px;
    width: 440px;
}

#w_search-block-wrapper {
    color: #FFFFFF;
    left: 0;
    position: absolute;
    top: 59px;
    z-index: 1;
}

.w_search-block.active {
    display: block;
}

#w_search-form .close {
    background: url("../img/delete_room.png") no-repeat scroll 0 0 rgba(0, 0, 0, 0);
    cursor: pointer;
    height: 15px;
    position: absolute;
    right: 14px;
    top: 18px;
    width: 15px;
}

#w_search-form .close:hover {
    opacity: 0.5;
}

form#w_search-form {
    background-color: #072e4c;
    box-sizing: border-box;
    height: 100%;
    padding-top: 4px;
    width: 100%;
}

form#w_search-form > input[type="submit"] {
    background: none repeat scroll 0 0 rgba(0, 0, 0, 0);
    border: medium none;
    bottom: -2px;
    color: #99AFBD;
    cursor: pointer;
    font-size: 42px;
    height: 42px;
    position: absolute;
    right: 0;
    text-transform: lowercase;
}

form#w_search-form > input[type="submit"]:hover {
    color: #fff;
}

#w_city {
    height: 44px;
}

#w_search-form .toggle.active {
    background-color: #031726;
}

#w_city > input[type="text"] {
    background: none repeat scroll 0 0 rgba(0, 0, 0, 0);
    border: medium none;
    border-radius: 0;
    color: #ffffff;
    font-size: 22px;
    height: 44px;
    padding: 0 16px;
    /*text-transform: capitalize;*/
    width: 408px;
    /*
        -moz-box-sizing: padding-box;
        box-sizing: padding-box;
    */
}

#w_city:after {
    background: none repeat scroll 0 0 #fff;
    content: "";
    height: 1px;
    left: 10px;
    position: absolute;
    top: 47px;
    width: 420px;
}

#w_city > input.ui-autocomplete-loading {
    background: url("../img/ui-anim_basic_16x16.gif") no-repeat scroll 404px 7px rgba(0, 0, 0, 0);
}

#w_city > input.ui-autocomplete-loading + .close {
    visibility: hidden;
}

#w_city .shadow {
    color: #fff;
    font-size: 22px;
    left: 16px;
    opacity: 0.2;
    overflow: hidden;
    pointer-events: none;
    position: absolute;
    top: 13px;
    white-space: nowrap;
    width: 408px;
}

#w_city > input[type="text"]::-ms-clear {
    display: none;
}

#w_city > input::-webkit-input-placeholder{
    font-size: 18px;
}

#w_city > input::-moz-placeholder {
    font-size: 18px;
}

#w_city > input[type="text"].active-placeholder{
    font-size: 22px;
}

/*#w_city > input[type="text"]:focus {
    border-bottom: 1px solid #031726;
    font-size: 24px;
}

#w_city > input[type="text"]:hover {
    border-bottom: 1px solid #031726;
}*/

#w_dates {
    height: 30px;
    overflow: hidden;
    padding: 6px 16px 2px;
}

#w_dates input[type="text"] {
    background: url("../img/w_dates_input_bg.png") repeat-x scroll 0 bottom rgba(0, 0, 0, 0);
    border: medium none;
    color: #ffffff;
    font-size: 18px;
    margin: 0 4px;
    padding: 2px;
    text-align: center;
    width: 120px;
}

#w_dates label {
    color: #839eae;
    font-size: 14px;
}

#w_dates .ui-datepicker-trigger {
    cursor: pointer;
}

#w_dates label[for="to"] {
    margin-left: 20px;
}

#w_unknown-dates {
    cursor: pointer;
    margin-bottom: 10px;
    margin-left: 20px;
    overflow: hidden;
}

#w_unknown-dates-checkbox {
    background-image: url("../img/unknown_dates.png");
    background-position: 0 0;
    background-repeat: no-repeat;
    float: left;
    height: 9px;
    margin-right: 4px;
    margin-top: 4px;
    width: 8px;
}

#w_unknown-dates.active {
    background-position: 0 -9px;
}

#w_unknown-dates-label {
    color: #7C8387;
    float: left;
    font-size: 11px;
}

.inactive #w_unknown-dates-checkbox {
    background-position: 0 -9px;
}

#w_dates.inactive {
    opacity: 0.5;
}

#w_right {
    float: left;
    margin-top: 6px;
}

#w_stars {
    direction: rtl;
    font-size: 0;
    width: 108px;
}

#w_stars .w_stars-item,
#w_stars .w_stars-zero {
    background-image: url("../img/stars_sprites.png");
    background-repeat: no-repeat;
    cursor: pointer;
    display: inline-block;
    height: 16px;
    width: 18px;
}

#w_stars .w_stars-item {
    background-position: 0 -32px;
}

#w_stars .w_stars-zero {
    background-position: 0 0;
    visibility: hidden;
}

#w_stars:hover .w_stars-zero {
    visibility: visible;
}

#w_stars .w_stars-zero:hover {
    background-position: 0 -16px;
}

#w_stars .w_stars-item:hover,
#w_stars .w_stars-item:hover ~ .w_stars-item,
#w_stars .active,
#w_stars .active ~ .w_stars-item {
    background-position: 0 -48px;
}








#w_guests {
    float: left;
    height: 110px;
    width: 288px;
}

#w_guests-control {
    margin-left: 16px;
    margin-top: 0;
    overflow: hidden;
    text-align: center;
}

#w_guests-control .adult,
#w_guests-control .children {
    display: inline-block;
}

#w_guests-control .children {
    margin-left: 10px;
}

#w_guests-control .control {
    background: none repeat scroll 0 0 rgba(0, 0, 0, 0);
    border: medium none;
    color: #839eae;
    cursor: pointer;
    font-size: 14px;
    text-transform: lowercase;
}

#w_guests-control .adult:hover .control,
#w_guests-control .children:hover .control {
    color: #fff;
}

#w_guests-control .button {
    display: inline-block;
    font-size: 18px;
    line-height: 18px;
    opacity: 0;
    transition: all 0.5s ease 0s;
}

#w_guests-control .adult:hover .button,
#w_guests-control .children:hover .button {
    opacity: 0.5;
}

#w_guests-control .button:hover {
    opacity: 1 !important;
}

#w_guests-visual {
    height: 82px;
    margin-left: 16px;
    margin-top: 4px;
    position: relative;
}

#w_guests-visual .shadow {
    color: #839eae;
    display: none;
    font-size: 120px;
    left: 60px;
    line-height: 120px;
    opacity: 0.25;
    pointer-events: none;
    position: absolute;
    top: -20px;
    z-index: 0;
}

#w_guests-visual ul {
    font-size: 0;
    height: 100%;
    left: 0;
    list-style: outside none none;
    overflow: hidden;
    position: absolute;
    text-align: center;
    top: 0;
    width: 100%;
}

#w_guests-visual ul li {
    display: inline-block;
    height: 82px;
}

#w_guests-visual ul li.adult[data-value="1"] {
    background: url("../img/guests/adult_1.png") no-repeat 0 0;
    width: 29px;
}

#w_guests-visual ul li.adult[data-value="2"] {
    background: url("../img/guests/adult_2.png") no-repeat 0 0;
    width: 24px;
}

#w_guests-visual ul li.adult[data-value="3"] {
    background: url("../img/guests/adult_3.png") no-repeat 0 0;
    width: 26px;
}

#w_guests-visual ul li.adult[data-value="4"] {
    background: url("../img/guests/adult_4.png") no-repeat 0 0;
    width: 21px;
}

#w_guests-visual ul li.adult[data-value="5"] {
    background: url("../img/guests/adult_5.png") no-repeat 0 0;
    width: 30px;
}

#w_guests-visual ul li.adult[data-value="6"] {
    background: url("../img/guests/adult_6.png") no-repeat 0 0;
    width: 30px;
}

#w_guests-visual ul li.adult[data-value="7"] {
    background: url("../img/guests/adult_7.png") no-repeat 0 0;
    width: 26px;
}

#w_guests-visual ul li.children[data-value="1"] {
    background: url("../img/guests/children_1.png") no-repeat 0 0;
    width: 24px;
}

#w_guests-visual ul li.children[data-value="2"] {
    background: url("../img/guests/children_2.png") no-repeat 0 0;
    width: 27px;
}

#w_guests-visual ul li.children[data-value="3"] {
    background: url("../img/guests/children_3.png") no-repeat 0 0;
    width: 28px;
}
















/* jQuery UI autocomplit */
ul.ui-autocomplete {
    background-color: #072e4c;
    background-image: none;
    border: medium none;
    font-family: Arial,Helvetica,sans-serif;
    min-height: 136px;
    padding: 0 0 10px;
}

ul.ui-autocomplete li.ui-menu-item {
    border: medium none;
    color: #fff;
    font-size: 18px;
    list-style-image: none;
    margin-left: 16px;
    padding: 0;
        -moz-box-sizing: border-box;
        box-sizing: border-box;
}

ul.ui-autocomplete li.ui-menu-item span:first-child {
    margin-right: 4px;
}

ul.ui-autocomplete li.ui-menu-item span:first-child:after {
    content: ",";
}

ul.ui-autocomplete li.ui-menu-item span:last-child {
    color: #9aafbc;
}

ul.ui-autocomplete li.ui-state-focus span:last-child {
    color: #fff;
}

ul.ui-autocomplete li.ui-state-focus {
    background: none repeat scroll 0 0 rgba(0, 0, 0, 0);
}

ul.ui-autocomplete li.ui-state-focus span {
    border-bottom: 1px dashed #fff;
}

.ui-autocomplete .ui-autocomplete-category {
    color: #9aafbc;
    font-size: 12px;
    margin-left: 10px;
    margin-right: 10px;
    margin-top: 20px;
}

.ui-autocomplete .ui-autocomplete-category:first-child {
    border-top: 1px solid #fff;
    margin-top: 0;
    padding-top: 6px;
}

#search-back {
    background: url("../img/back_search.png") no-repeat scroll 0 0 rgba(0, 0, 0, 0);
    display: none;
    height: 526px;
    left: 50%;
    margin-left: -260px;
    position: absolute;
    top: 40px;
    width: 650px;
}

#search-back .message {
    color: #072e4c;
    font-family: PT Sans Narrow;
    font-size: 24px;
    margin-left: 74px;
    margin-top: 340px;
    text-align: center;
    width: 416px;
}

.ui-menu-item.city {}
.ui-menu-item.city:before {}
.ui-menu-item.city:after {}

.ui-menu-item.hotel {}
.ui-menu-item.hotel:before {}
.ui-menu-item.hotel:after {}


/* jQuery UI datepicker */
#ui-datepicker-div {
    background: none repeat scroll 0 0 #072e4c;
    border: medium none;
    border-radius: 0;
    box-shadow: 10px 14px 0 rgba(0, 0, 0, 0.5);
    font-family: Arial,Helvetica,sans-serif;
    overflow: hidden;
    padding: 0 0 0 60px;
}

#ui-datepicker-div > .ui-datepicker-header {
    background: none repeat scroll 0 0 rgba(0, 0, 0, 0);
    border: 0 none;
    border-radius: 0;
    height: 100%;
    padding: 0;
    position: absolute;
    width: 78%;
    z-index: -1;
}

.ui-datepicker .ui-datepicker-title {
    line-height: normal;
    margin-left: 40px;
    margin-right: 40px;
    margin-top: 6px;
    text-align: right;
}

.ui-datepicker-header .ui-datepicker-month {
    font-size: 22px;
    font-weight: normal;
    color: #fff;
}

.ui-datepicker-header .ui-datepicker-year {
    bottom: -12px;
    color: #fff;
    display: block;
    font-size: 80px;
    font-weight: normal;
    left: -68px;
    line-height: 80px;
    opacity: 0.25;
    position: absolute;
}

.ui-datepicker .ui-datepicker-prev,
.ui-datepicker .ui-datepicker-next {
    cursor: pointer;
    height: 12px;
    position: absolute;
    top: 16px;
    width: 13px;
}

.ui-datepicker .ui-datepicker-prev {
    left: 0;
}

.ui-datepicker .ui-datepicker-next {
    right: 0;
}

a.ui-datepicker-prev > span.ui-icon,
a.ui-datepicker-next > span.ui-icon {
    background-image: url("../img/datepicker_control.png");
    background-repeat: no-repeat;
    height: 12px;
    margin: 0;
    position: static;
    width: 13px;
}

a.ui-datepicker-prev > span.ui-icon {
    background-position: 0 0;
}

a.ui-datepicker-next > span.ui-icon {
    background-position: -13px 0;
}

.ui-datepicker .ui-datepicker-prev-hover.ui-state-hover,
.ui-datepicker .ui-datepicker-next-hover.ui-state-hover {
    background: none repeat scroll 0 0 rgba(0, 0, 0, 0);
    border: medium none;
}

table.ui-datepicker-calendar {
    margin: 40px 0 10px;
}

table.ui-datepicker-calendar thead tr th {
    padding: 0;
    text-align: left;
}

table.ui-datepicker-calendar thead tr th > span {
    color: #fff;
    font-size: 12px;
    font-weight: normal;
}

table.ui-datepicker-calendar tbody tr td {
    padding: 0;
}

table.ui-datepicker-calendar tbody tr td .ui-state-default {
    background: none repeat scroll 0 0 rgba(0, 0, 0, 0);
    border: 0 none;
    color: #fff;
    display: inline;
    font-size: 18px;
    padding: 0;
}

table.ui-datepicker-calendar tbody tr td.ui-datepicker-other-month .ui-state-default,
table.ui-datepicker-calendar tbody tr td.ui-datepicker-unselectable .ui-state-default,
table.ui-datepicker-calendar tbody tr td.ui-state-disabled .ui-state-default {
    color: #7f8589;
    opacity: 1;
}

table.ui-datepicker-calendar tbody tr td.ui-datepicker-other-month,
table.ui-datepicker-calendar tbody tr td.ui-datepicker-unselectable,
table.ui-datepicker-calendar tbody tr td.ui-state-disabled {
    opacity: 1 !important;
}

table.ui-datepicker-calendar tbody tr td.ui-datepicker-current-day {
    background: url("../img/opacity_50.png") repeat scroll 0 0 rgba(0, 0, 0, 0);
}








